Delete Benchmark

This method allows you to delete an existing benchmark. However, you can’t delete a benchmark if it is associated with an administrator.

KeyMeaningMandatoryData Type
account_nameName of the account from which the benchmark should be deleted.Yesstring
benchmarknameName of the benchmark that needs to be deleted.Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.deleteBenchmark(
  account_name="Default",
  benchmarkname="Amazon linux 2 general compliance"
  )

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json